Bug 614918 - System Set Manager does not work if language is set to something different than English
System Set Manager does not work if language is set to something different th...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: WebUI (Show other bugs)
530
All Linux
medium Severity medium
: ---
: ---
Assigned To: Shannon Hughes
Tomas Lestach
:
Depends On:
Blocks: sat540-blockers
  Show dependency treegraph
 
Reported: 2010-07-15 10:45 EDT by Marcus Moeller
Modified: 2011-01-03 05:50 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-28 10:48:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marcus Moeller 2010-07-15 10:45:32 EDT
Description of problem:

The system set manager does not work correctly if interface language is set to something different than English (e.g. to German).

The view of how many systems have been selected is not refreshed automatically.

Version-Release number of selected component (if applicable):
Satellite 5.3

Steps to Reproduce:
1. Change Interface Language to e.g. German
2. Select System or Group
3. Note that it's not displayed as selected in the SSM (only after a manual page refresh)
Comment 10 Tomas Lestach 2010-10-05 13:20:19 EDT
I verified for all supported languages that by selecting a system, it gets added to the SSM. The changes are reflected immediately via javascript without need to refresh the page.

Note that selecting a group (as stated in #Description) doesn't cause adding the systems from the group to the SSM - not even for English language, so it isn't expected to work for other languages as well.

Regarding Comment#4 and #5 - translation of perl pages isn't within the scope of this BZ.

Tested with spacewalk-java-1.2.39-26.el5sat on Satellite-5.4.0-RHEL5-re20101001.1.

Moving to VERIFIED.
Comment 14 Clifford Perry 2010-10-28 10:44:08 EDT
The 5.4.0 RHN Satellite and RHN Proxy release has occurred. This issue has been resolved with this release. 


RHEA-2010:0801 - RHN Satellite Server 5.4.0 Upgrade
https://rhn.redhat.com/rhn/errata/details/Details.do?eid=10332

RHEA-2010:0803 - RHN Tools enhancement update
https://rhn.redhat.com/rhn/errata/details/Details.do?eid=10333

RHEA-2010:0802 - RHN Proxy Server 5.4.0 bug fix update
https://rhn.redhat.com/rhn/errata/details/Details.do?eid=10334

RHEA-2010:0800 - RHN Satellite Server 5.4.0
https://rhn.redhat.com/rhn/errata/details/Details.do?eid=10335

Docs are available:

http://docs.redhat.com/docs/en-US/Red_Hat_Network_Satellite/index.html 

Regards,
Clifford

Note You need to log in before you can comment on or make changes to this bug.